### Constructor

# Rsvg Handle new_from_file

since: 2.14

#### Declaration [src]

    RsvgHandle*
    rsvg_handle_new_from_file (
      const gchar* filename,
      GError** error
    )

#### Description [src]

Loads the SVG specified by `file_name`. Note that this function, like `rsvg_handle_new()`, does not specify any loading flags for the resulting handle. If you require the use of `RsvgHandleFlags`, use `rsvg_handle_new_from_gfile_sync()`.

Available since: 2.14

#### Parameters

`filename`

  Type: `const gchar*`

  The file name to load, or a URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `RsvgHandle`

A `RsvgHandle` or `NULL` if an error occurs.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.